/****************************************************************
Copyright (c) 1993 Bell Communications Research, Inc. (Bellcore)

Permission to use, copy, modify, and distribute this material
for any purpose and without fee is hereby granted, provided
that the above copyright notice and this permission notice
appear in all copies, and that the name of Bellcore not be
used in advertising or publicity pertaining to this
material without the specific, prior written permission
of an authorized representative of Bellcore.  BELLCORE
MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY
OF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS",
WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.
****************************************************************/

/* defines for database stuff */

#define DELIM 	';'		/* item delimeter */

/* selection flags for select */

/* one of these */
#define SEL_OR			0x1		/* or in previous selection */
#define SEL_AND		0x2		/* and with current selection */
/* one of these */
#define SEL_ALPHA		0x0		/* use alpha comparison (default) */
#define SEL_TT			0x4		/* use touch tones as comparison */
#define SEL_NUM		0x8		/* use numerical comparisons */
#define SEL_REG		0x10		/* use numerical comparisons */
/* one of these */
#define SEL_EQ			0x20		/* compare to equal  */
#define SEL_GR			0x40		/* compare > */
#define SEL_LS			0x80		/* compare < */

#define SEL_OP			0xE0		/* operation bits */

char *db_open();
char *db_next();
char *db_mark();
