/****************************************************************
Copyright (c) 1993 Bell Communications Research, Inc. (Bellcore)

Permission to use, copy, modify, and distribute this material
for any purpose and without fee is hereby granted, provided
that the above copyright notice and this permission notice
appear in all copies, and that the name of Bellcore not be
used in advertising or publicity pertaining to this
material without the specific, prior written permission
of an authorized representative of Bellcore.  BELLCORE
MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY
OF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS",
WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.
****************************************************************/

/* structure definitions for filters */


/*			Coefficients for a digital filter of the form:
 *
 *              k*(a0 + a1*z**-1 + a2*z**-2)
 *       H(z) = ----------------------------
 *               (1. + b1*z**-1 + b2*z**-2)
 */

struct coef {
	double k;				/* gain */
	double a0,a1,a2;	/* numerator constants */
	double b1,b2;		/* denom constants */
	};

extern double resp(/* coef,fr,fs,what */);
