/****************************************************************
Copyright (c) 1993 Bell Communications Research, Inc. (Bellcore)

Permission to use, copy, modify, and distribute this material
for any purpose and without fee is hereby granted, provided
that the above copyright notice and this permission notice
appear in all copies, and that the name of Bellcore not be
used in advertising or publicity pertaining to this
material without the specific, prior written permission
of an authorized representative of Bellcore.  BELLCORE
MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY
OF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS",
WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.
****************************************************************/

/* sample simple callback library */

#include <setjmp.h>

static jmp_buf  jmp_env;          /* stored state for longjmp */
static int _first=1;

/* sample callback routine */

#ifndef GO_BACK
static int
go_back(dummy)
char *dummy;
   {
   alarm(0);
   longjmp(jmp_env,1);
   }
#else
int go_back();
#endif

/* macro to simpulate re-start */

#define restart()	\
	((_first ? (set_callback(go_back,NULL),_first=0) : 0),setjmp(jmp_env))
