/****************************************************************
Copyright (c) 1993 Bell Communications Research, Inc. (Bellcore)

Permission to use, copy, modify, and distribute this material
for any purpose and without fee is hereby granted, provided
that the above copyright notice and this permission notice
appear in all copies, and that the name of Bellcore not be
used in advertising or publicity pertaining to this
material without the specific, prior written permission
of an authorized representative of Bellcore.  BELLCORE
MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY
OF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS",
WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.
****************************************************************/

/* convert unix internal time to date (S. A. Uhler) */

#include <stdio.h>
#include <time.h>

#define DEFAULT		"%x %X"

char buff[512];		

void
main(argc,argv)
int argc;
char **argv;
	{
	char *format;		/* date format */
	int now;				/* time to convert */

	now = argc<2  || *argv[1]=='-' ? time(NULL) : atoi(argv[1]);
	format = argc > 2 ? argv[2] : DEFAULT;

	strftime(buff,sizeof(buff),format,localtime(&now));
	puts(buff);
	exit(0);
	}
