# for debugging - edit a procedure interactively (SAU)

proc editproc {what} {
	global pid argv

	if {[info procs $what] == ""} { echo "No such proc: $what"; return }
	set file /tmp/$what.$pid.tcl
	set fd [open $file "w"]
	puts $fd "#	From file $argv(0) [prdate {%D %T}]\n"
	puts $fd "proc $what \{[info args $what]\} \{[info body $what]\}"
	close $fd
	exec vi $file < /dev/tty > /dev/tty
	uplevel "source $file"
	exec sh -c "rm -f $file.old;mv $file $file.old"
	}
